#include <klumpat.h>

int main(void) {
  klumpat * flogger = kl_new_file("file",DEBUG,"testlog.txt");
  klumpat * clogger = kl_new_console("console",ERROR);
  klumpat * logger = kl_new_meta("meta",DEBUG);

  kl_add_logger(logger,flogger);
  kl_add_logger(logger,clogger);

  kl_log(logger,DEBUG,"this is a debug message");
  kl_log(logger,NOTICE,"this is a notice");
  kl_log(logger,ERROR,"this is an error message");
  kl_delete(logger);
  return 0;
} /* int main(void) */
